com.amazon.redshift.util

## Class SharedTimer

- java.lang.Object
- - com.amazon.redshift.util.SharedTimer

    public class SharedTimer
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`SharedTimer()`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getRefCount()`
`Timer` `getTimer()`
`void` `releaseTimer()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SharedTimer

    public SharedTimer()

### Method Detail

#### getRefCount

    public int getRefCount()

#### getTimer

    public Timer getTimer()

#### releaseTimer

    public void releaseTimer()